kdeui Library: KToolBarRadioGroup Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KToolBarRadioGroup Class Reference

Class for group of radio butons in toolbar. More...

`#include <ktoolbarradiogroup.h>`

Inheritance diagram for KToolBarRadioGroup:

[legend]
Collaboration diagram for KToolBarRadioGroup:

[legend]
List of all members.

## Public Slots
void | slotToggled (int)
## Public Member Functions
| KToolBarRadioGroup (KToolBar *_parent, const char *_name=0)
| ~KToolBarRadioGroup ()
void | addButton (int id)
void | removeButton (int id)

## Detailed Description

Class for group of radio butons in toolbar.

KToolBarRadioGroup is class for group of radio butons in toolbar. Take toggle buttons which you already inserted into toolbar, create KToolBarRadioGroup instance and add them here. All buttons will emit signals toggled (bool) (or you can use sitgnal toggled (int id) from toolbar). When one button is set down, all others are unset. All buttons emit signals - those who "go down" and those who "go up".

Author:
  Sven Radej <radej@kde.org>

Definition at line 49 of file ktoolbarradiogroup.h.

## Constructor & Destructor Documentation

KToolBarRadioGroup::KToolBarRadioGroup | ( | KToolBar * | _parent,
|  | const char * | _name = `0`
| ) |

| Constructor. Parent must be KToolBar . Definition at line 34 of file ktoolbarradiogroup.cpp. References QObject::connect(), and slotToggled().

KToolBarRadioGroup::~KToolBarRadioGroup | ( |  | ) |

| Destructor. Definition at line 42 of file ktoolbarradiogroup.cpp.

## Member Function Documentation

void KToolBarRadioGroup::addButton | ( | int | id | ) |

| Adds button to group. Button cannot be unset by mouse clicks (you must press some other button tounset this one) Definition at line 47 of file ktoolbarradiogroup.cpp. References KToolBar::getButton(), QIntDict::insert(), and KToolBarButton::setRadio().

void KToolBarRadioGroup::removeButton | ( | int | id | ) |

| Removes button from group, making it again toggle button (i.e. You can unset it with mouse). Definition at line 54 of file ktoolbarradiogroup.cpp. References QIntDict::find(), and QIntDict::remove().

void KToolBarRadioGroup::slotToggled | ( | int |  | ) | `[slot]`

| Internal - nothing for you here. Definition at line 62 of file ktoolbarradiogroup.cpp. References QIntDictIterator::current(), QIntDictIterator::currentKey(), and QIntDict::find(). Referenced by KToolBarRadioGroup().

The documentation for this class was generated from the following files:

- ktoolbarradiogroup.h
- ktoolbarradiogroup.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:38 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003